# Record TCefStreamReader

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefStreamReader = record`

## Description

Structure used to read data from a stream. The functions of this structure may be called on any thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefStreamReader and ICefCustomStreamReader.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_stream_capi.h">CEF source file: /include/capi/cef_stream_capi.h (cef_stream_reader_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `read: function(self: PCefStreamReader; ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;`
| `seek: function(self: PCefStreamReader; offset: Int64; whence: Integer): Integer; stdcall;`
| `tell: function(self: PCefStreamReader): Int64; stdcall;`
| `eof: function(self: PCefStreamReader): Integer; stdcall;`
| `may_block: function(self: PCefStreamReader): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `read: function(self: PCefStreamReader; ptr: Pointer; size, n: NativeUInt): NativeUInt; stdcall;`
This item has no description.

| `seek: function(self: PCefStreamReader; offset: Int64; whence: Integer): Integer; stdcall;`
This item has no description.

| `tell: function(self: PCefStreamReader): Int64; stdcall;`
This item has no description.

| `eof: function(self: PCefStreamReader): Integer; stdcall;`
This item has no description.

| `may_block: function(self: PCefStreamReader): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.